Subject: Re: bug#2577: 23.0.91; startup.el should choose .emacs ahead of .emacs.elc if .emacs is newer

From: Stefan Monnier <[email-masked]>
Date: Sat, 07 Mar 2009 18:11:26 -0500

> Typically it's pulling in a later version from an SCM that the warning
> case trips up on, as the doesn't trip the compile-on-save hook that
> most people use to auto compile .emacs.

People waste more time dealing with problems introduced by compiling
their .emacs than they win by have the file load more quickly.

> As Emacs is a configurable editor would adding a variable to control
> this behaviour be the way forward? A lot of people do run their

Since Emacs is configurable, you can do that in your .emacs actually:
check whether the .el is more recent and load it explicitly if so.

        Stefan